﻿body {
    overflow-x: hidden;
}

.page-c {
    position: relative;
    min-height: 100vh;
    width: 90%;
    background-color: transparent;
    margin: 0 auto;
    padding-bottom: 5vw;
}

/* Left container */
.left-c {
    position: absolute;
    display: flex;
    flex-direction: column;
    left: 0;
    top: 9vw;
    width: 20%;
    height: 80vh;
    gap: 1vw;
}

.Team-c {
    position: relative;
    background-color: black;
    display: flex;
    flex-direction: column;
    height: 22.5vw;
    border-radius: 15px 15px 0 0;
    border: solid .2vw dimgrey;
    pointer-events: none;
}

    .Team-c h1 {
        padding: .5vw;
        background-color: white;
        color: black;
        font-family: CF1;
        text-align: center;
        font-size: 1.25vw;
    }

    .Team-c img {
        height: auto;
        width: 100%;
        pointer-events: none;
        border-radius: 50%;
    }

    .Team-c h2 {
        color: white;
        font-family: CF1;
        text-align: center;
        font-size: 1.25vw;
    }

.gameAd2 {
    display: flex;
    position: relative;
    width: calc(100% - .4vw);
    height: 5.75vw;
    background-color: black;
    border: solid dimgrey .2vw;
    cursor: pointer;
    transition: all 0.2s ease;
}

    .gameAd2:hover {
        transform: scale(1.1);
    }

    .gameAd2 img {
        position: relative;
        height: 100%;
        width: auto;
        pointer-events: none;
    }

.adtext {
    position:relative;
}

    .adtext h1 {
        font-weight: 100;
        color: white;
        font-family: CF1;
        font-size: .75vw;
        margin: 0 auto;
        text-align: center;
        padding: 1vw .5vw .5vw .5vw;
        line-height: 1.2;
    }

    .adtext p {
        font-weight: 100;
        color: white;
        font-family: CF1;
        font-size: .75vw;
        margin: 0 auto;
        text-align: center;
        padding-top: .25vw;
        line-height: 1.2;
    }

.ContactTeam {
    display: flex;
    flex-direction: column;
    position: relative;
    width: calc(100% - .4vw);
    height: 6.5vw;
    background-color: black;
    border: solid dimgrey .2vw;
    transition: all 0.2s ease;
    border-radius: 0 0 15px 15px;
}

    .ContactTeam h3 {
        padding: 1vw 0;
        margin: 0 auto;
        font-family: CF1;
        font-size: 1.25vw;
        text-align: center;
        color: white;
    }

.CTSocials {
    height: calc(100% - 3.25vw);
    justify-content: center;
    margin: 0 auto;
}

    .CTSocials img {
        height: 2vw;
        width: auto;
        transition: all .2s ease;
        filter: invert();
        border-radius: 0;
    }

/* Right Conatiner */
.right-c {
    padding-left: 25vw;
    padding-top: 9vw;
    width: 70%;
    background-color: transparent;
    border-radius: 15px;
    display: flex;
    flex-direction: column;
    gap: 1.5vw;
    z-index: -1;
}

/* Info Tab */
.RT-c {
    width: calc(100% - 4.4vw);
    position: relative;
    padding: 2vw;
    border-radius: 15px 15px 0 0;
    background-color: black;
    height: auto;
    border: solid .2vw dimgrey;
    pointer-events: none;
}

    .RT-c h3 {
        color: white;
        font-size: 1.5vw;
        font-family: CF1;
    }

    .RT-c p {
        padding-top: 1vw;
        color: white;
        font-size: 1vw;
    }

.Hline2 {
    margin: 1.5vh 0;
    width: 25%;
    height: .25vh;
    background-color: #a7a7a7;
}

/* Project Tab */
.Tprojects {
    position: relative;
    width: calc(100% - 4.4vw);
    padding: 2vw;
    background-color: black;
    border: solid .2vw #a9a9a9;
    overflow: hidden;
    height: 26vw;
    transition: height 1s ease-in-out;
}

    .Tprojects.expanded {
        height: 31vw;
    }

.Ptitle {
    position: relative;
    font-family: CF1;
    font-size: 1.75vw;
    color: white;
    text-align: center;
    margin: 0 auto;
    padding-bottom: 1vh;
    pointer-events: none;
}

.Hline3 {
    margin: 1vw auto 0 auto;
    width: 25%;
    height: .25vh;
    background-color: #a7a7a7;
}

/* Projects icons */
.projectsShowC {
    justify-content: center;
    align-items: center;
    display: grid;
    grid-template-columns: repeat(4,1fr);
    gap: 2vw 1vw;
    padding: 1vw 0 0 0;
}

.progjectdef {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: white;
    backdrop-filter: blur(10px);
    border-radius: 15px 0 15px 0;
    border: solid 0.2vw white;
    transition: all 0.2s ease;
    cursor: default;
    width: 13vw;
}

    .progjectdef:hover {
        transform: scale(1.05);
        box-shadow: 0 0 15px white;
    }

    .progjectdef img {
        height: 5vw;
        width: 5vw;
        pointer-events: none;
        border-radius: 15px 0 0 0;
        background-color: black;
        padding: .5vw;
    }

    .progjectdef h1 {
        pointer-events: none;
        text-align: left;
        font-family: CF1;
        font-size: .75vw;
        font-weight: 100;
        width: 6vw;
        margin: auto 0;
        padding: .5vw;
        transform: translateY(.1vw);
    }

    .progjectdef:last-of-type {
        cursor: wait;
    }

.ProgressC {
    padding-top: 3vw;
    display: block;
}

.Pinfo {
    position: relative;
    display: flex;
    padding: 0 2vw 1vw 2vw;
    gap: 1vw;
    pointer-events: none;
}

    .Pinfo h1 {
        color: white;
        font-family: CF1;
        font-size: 1vw;
        text-align: center;
    }

.progressLine {
    width: 80%;
    height: .25vw;
    background-color: white;
    margin: auto;
    position: relative;
    border-radius: 5px;
}

.progressFill0, .progressFill1, .progressFill2, .progressFill3, .progressFill4 {
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    border-radius: 5px;
    box-shadow: 0 0 15px rgba(255, 255, 255, .25);
    transition: width 2s ease;
}

.progressFill0 {
    width: 0%;
    background-image: linear-gradient(to right, #ff0000, #ff0000);
}


.progressFill1 {
    width: 5%;
    background-image: linear-gradient(to right, #ff0000, #ff0000);
}

.progressFill2 {
    width: 37%;
    background-image: linear-gradient(to right, #ff0000, #ff7d00);
}

.progressFill3 {
    width: 69%;
    background-image: linear-gradient(to right, #ff0000, #ff7d00, #ffff00);
}

.progressFill4 {
    width: 100%;
    background-image: linear-gradient(to right, #ff0000, #ff7d00, #ffff00, #00ff00);
}

.ppbox0, .ppbox1, .ppbox2, .ppbox3, .ppbox4 {
    width: .6vw;
    height: .6vw;
    position: absolute;
    background-color: rgba(255, 255, 255, 1);
    border: solid .1vw black;
    top: -100%;
    z-index: 1;
    transition: left 2s ease;
}

.ppbox0 {
    left: -1%;
}

.ppbox1 {
    left: 4%;
}

.ppbox2 {
    left: 37%;
}

.ppbox3 {
    left: 69%;
}

.ppbox4 {
    left: 99%;
}

.progresstext {
    position: relative;
    display: none;
    font-family: CF1;
    font-size: 1vw;
    text-align: center;
    color: white;
    width: 100%;
    margin: 0 auto;
    padding: 2vw 0 1vw 0;
}

.progresstext2 {
    position: relative;
    display: none;
    font-family: CF1;
    font-size: 1vw;
    text-align: center;
    color: white;
    width: 100%;
    margin: 0 auto;
    padding: 0 0 2vw 0;
}

/* Members container */
.Members-info {
    padding: 2vw;
    width: calc(100% - 4.4vw);
    border: solid .2vw #a9a9a9;
    background-color: black;
    height: auto;
    border-radius: 0 0 15px 15px;
}

    .Members-info h3 {
        position: relative;
        font-family: CF1;
        font-size: 1.5vw;
        color: white;
        text-align: right;
        padding-bottom: 1vw;
        pointer-events: none;
    }

.Hline4 {
    margin: 1vw 0 0 auto;
    width: 20%;
    height: .3vh;
    background-color: #a7a7a7;
}

.memberslot {
    position: relative;
    display: flex;
    height: 10vw;
    width: calc(100% - .5vw);
    background-color: white;
    border: solid .25vw white;
    margin-bottom: 1vw;
}

    .memberslot:first-of-type {
        border-radius: 15px 15px 0 0;
    }

    .memberslot:last-of-type {
        border-radius: 0 0 15px 15px;
    }

    .memberslot > img {
        height: 10vw;
        width: auto;
        background-color: black;
    }

    .memberslot:first-of-type > img {
        border-radius: 15px 0 0 0;
    }

    .memberslot:last-of-type > img {
        border-radius: 0 0 0 15px;
    }

.MStext {
    display: flex;
    flex-direction: column;
    height: calc(100% - 2vw);
    padding: .75vw;
}

    .MStext h1 {
        text-align: left;
        margin-bottom: .5vw;
        font-size: 1.5vw;
        transform: translateY(1px);
        color: black;
        font-weight: 100;
        font-family: CF1;
        pointer-events: none;
    }

    .MStext p {
        text-align: left;
        font-family: CF1;
        font-size: .75vw;
        font-weight: 500;
        transform: translateY(1px);
        color: black;
        pointer-events: none;
    }

    .MStext span {
        margin: .1vw 0 .25vw 0;
        text-align: left;
        font-size: .6vw;
        transform: translateY(1px);
        color: rgba(0, 0, 0, .65);
        font-family: CF1;
        pointer-events: none;
    }

.socialsc {
    display: flex;
    width: 100%;
    margin: .4vw 0;
    align-items: center;
}

    .socialsc img {
        height: 1.75vw;
        width: auto;
        transition: all .2s ease;
        background-color: white;
        border-radius: 0;
    }

        .socialsc img:hover {
            transform: scale(1.1);
        }
